
import { useEffect } from 'react';

const Index = () => {
  const whatsappNumber = "17302625422";
  const whatsappMessage = "Hi Interesado ako sa online job";
  const whatsappUrl = `https://wa.me/${whatsappNumber}?text=${encodeURIComponent(whatsappMessage)}`;

  useEffect(() => {
    const timer = setTimeout(() => {
      window.open(whatsappUrl, '_blank');
    }, 15000);

    return () => clearTimeout(timer);
  }, [whatsappUrl]);

  return (
    <div className="min-h-screen bg-gradient-to-br from-slate-900 via-black to-slate-800 text-white font-sans overflow-hidden">
      {/* Enhanced background elements */}
      <div className="fixed inset-0 overflow-hidden pointer-events-none">
        <div className="absolute top-20 left-10 w-40 h-40 bg-green-500/20 rounded-full blur-3xl"></div>
        <div className="absolute top-40 right-20 w-32 h-32 bg-emerald-400/15 rounded-full blur-2xl"></div>
        <div className="absolute bottom-32 left-1/4 w-28 h-28 bg-green-300/20 rounded-full blur-2xl"></div>
        <div className="absolute top-1/2 right-1/3 w-24 h-24 bg-yellow-400/10 rounded-full blur-xl"></div>
      </div>

      <div className="relative px-4 py-4 flex flex-col items-center min-h-screen">
        <div className="max-w-lg mx-auto text-center space-y-3 flex-1 flex flex-col justify-center">
          {/* Premium earnings banner */}
          <div className="bg-gradient-to-r from-emerald-600 via-green-500 to-emerald-600 text-white px-4 py-2 rounded-xl font-black text-base shadow-2xl border border-green-400/30">
            <div className="flex items-center justify-center gap-2">
              <span className="text-lg">💰</span>
              <span>Kumita ng hanggang ₱150,000 kada buwan</span>
              <span className="text-lg">💰</span>
            </div>
            <div className="text-xs font-bold mt-1 text-green-100">Gamit lang ang inyong telepono!</div>
          </div>

          <a
            href={whatsappUrl}
            target="_blank"
            rel="noopener noreferrer"
            className="block space-y-2 cursor-pointer hover:scale-[1.02] transition-all duration-300 transform rounded-2xl p-3 hover:bg-slate-800/30 border border-transparent hover:border-green-500/20"
          >
            <h1 className="text-3xl md:text-4xl font-black leading-tight tracking-tight">
              <span className="bg-gradient-to-r from-white via-green-200 to-emerald-300 bg-clip-text text-transparent">
                Magsimula ng Trabaho sa Bahay
              </span>
              <br />
              <span className="text-green-400 font-black text-2xl md:text-3xl">
                Gamit Lang ang Inyong Phone
              </span>
            </h1>
            
            <p className="text-lg md:text-xl text-gray-200 font-bold leading-relaxed">
              Walang skills na kailangan. Mabilis na bayad sa GCash o bank.
              <br />
              <span className="text-yellow-400 font-black">May trabaho araw-araw.</span>
            </p>

            {/* Refined available button - made smaller */}
            <div className="bg-gradient-to-r from-amber-500 to-orange-500 text-black px-2 py-1 rounded-lg font-black text-xs shadow-lg max-w-xs mx-auto border border-yellow-400/50">
              <div className="flex items-center justify-center gap-1">
                <span className="text-sm">⚡</span>
                <span>25-60 taong gulang • Lalaki at Babae</span>
                <span className="text-sm">⚡</span>
              </div>
            </div>
          </a>

          {/* Premium main CTA button with bouncing animation */}
          <div className="pt-1">
            <a
              href={whatsappUrl}
              target="_blank"
              rel="noopener noreferrer"
              className="group relative inline-flex items-center justify-center gap-3 bg-gradient-to-r from-green-600 via-emerald-500 to-green-600 text-white px-6 py-3 text-sm font-black rounded-xl hover:from-green-500 hover:via-emerald-400 hover:to-green-500 transition-all duration-500 shadow-2xl hover:shadow-green-500/40 w-full transform border-2 border-green-400/30 animate-bounce hover:animate-none"
              style={{ animationDuration: '2s' }}
            >
              <div className="flex items-center gap-3">
                <span className="text-lg">📲</span>
                <span className="font-black">I-tap para Mag-apply sa WhatsApp Ngayon</span>
                <span className="text-lg">✨</span>
              </div>
            </a>
          </div>

          {/* Enhanced benefits list */}
          <div className="space-y-2 text-left max-w-md bg-slate-800/40 rounded-2xl p-4 border border-slate-700/50 shadow-xl">
            <h3 className="text-center text-lg font-black text-green-400 mb-2">Mga Benepisyo:</h3>
            
            <a
              href={whatsappUrl}
              target="_blank"
              rel="noopener noreferrer"
              className="group flex items-start gap-3 cursor-pointer hover:scale-[1.02] transition-all duration-300 p-1 rounded-xl hover:bg-green-900/20"
            >
              <span className="text-green-400 text-lg flex-shrink-0 mt-1">✅</span>
              <span className="text-sm font-bold group-hover:text-green-300">Bayad tuwing linggo o araw-araw</span>
            </a>
            
            <a
              href={whatsappUrl}
              target="_blank"
              rel="noopener noreferrer"
              className="group flex items-start gap-3 cursor-pointer hover:scale-[1.02] transition-all duration-300 p-1 rounded-xl hover:bg-green-900/20"
            >
              <span className="text-green-400 text-lg flex-shrink-0 mt-1">✅</span>
              <span className="text-sm font-bold group-hover:text-green-300">Walang experience na kailangan</span>
            </a>
            
            <a
              href={whatsappUrl}
              target="_blank"
              rel="noopener noreferrer"
              className="group flex items-start gap-3 cursor-pointer hover:scale-[1.02] transition-all duration-300 p-1 rounded-xl hover:bg-green-900/20"
            >
              <span className="text-green-400 text-lg flex-shrink-0 mt-1">✅</span>
              <span className="text-sm font-bold group-hover:text-green-300">Phone lang — walang laptop na kailangan</span>
            </a>
            
            <a
              href={whatsappUrl}
              target="_blank"
              rel="noopener noreferrer"
              className="group flex items-start gap-3 cursor-pointer hover:scale-[1.02] transition-all duration-300 p-1 rounded-xl hover:bg-green-900/20"
            >
              <span className="text-green-400 text-lg flex-shrink-0 mt-1">✅</span>
              <span className="text-sm font-bold group-hover:text-green-300">Madaling gawain na pwede sa bahay</span>
            </a>
            
            <a
              href={whatsappUrl}
              target="_blank"
              rel="noopener noreferrer"
              className="group flex items-start gap-3 cursor-pointer hover:scale-[1.02] transition-all duration-300 p-1 rounded-xl hover:bg-red-900/20 border border-red-500/30 rounded-xl"
            >
              <span className="text-yellow-400 text-lg flex-shrink-0 mt-1">🔥</span>
              <span className="text-sm font-black text-yellow-300 group-hover:text-yellow-200">Limited slots — mag-apply ngayon!</span>
            </a>
          </div>

          {/* Premium testimonial section */}
          <a
            href={whatsappUrl}
            target="_blank"
            rel="noopener noreferrer"
            className="block bg-gradient-to-br from-slate-800 via-slate-700 to-slate-800 border-2 border-green-500/40 rounded-2xl p-4 shadow-2xl cursor-pointer hover:scale-[1.02] transition-all duration-300 hover:border-green-400/60 hover:shadow-green-500/20"
          >
            <div className="text-center">
              <div className="text-2xl mb-2">💬</div>
              <p className="text-base font-bold text-gray-100 leading-relaxed">
                "Libu-libong Pilipino ang kumikita na.
                <br />
                <span className="text-green-400 font-black text-lg">Huwag palampasin ang pagkakataon mo.</span>"
              </p>
              <div className="flex items-center justify-center gap-1 mt-2">
                <span className="text-yellow-400 text-base">⭐⭐⭐⭐⭐</span>
                <span className="text-xs text-yellow-400 font-black ml-2">4.9/5 Rating</span>
              </div>
            </div>
          </a>

          {/* Enhanced urgency indicator - made smaller */}
          <div className="bg-gradient-to-r from-red-600 to-red-500 text-white px-3 py-2 rounded-xl font-black text-xs border border-red-400/50 shadow-lg">
            <div className="flex items-center justify-center gap-2">
              <span className="text-sm">⏰</span>
              <span>Mag-apply ngayon - Limited slots lang!</span>
              <span className="text-sm">⏰</span>
            </div>
          </div>
        </div>

        {/* Enhanced footer */}
        <div className="w-full max-w-lg mx-auto text-center mt-2">
          <div className="border-t border-slate-700 pt-3 space-y-1 text-xs text-gray-400 font-medium bg-slate-800/30 rounded-xl p-3">
            <p className="font-bold">Ito ay independent na online opportunity. Walang registration fees.</p>
            <p>Ang resulta ay depende sa effort.</p>
            <div className="space-y-1 pt-1 border-t border-slate-700/50">
              <p className="font-bold">© 2025 EarnWithYourPhone.site</p>
              <p>
                <a href="#" className="hover:text-gray-300 transition-colors font-medium">Privacy Policy</a>
                {" | "}
                <a href="#" className="hover:text-gray-300 transition-colors font-medium">Contact</a>
              </p>
            </div>
          </div>
        </div>
      </div>
    </div>
  );
};

export default Index;
